Subject: [SWIPL] "My searching" problem.

From: Николай Федоров <[email-masked]>
Date: Wed, 26 Sep 2001 15:27:05 +0400

Hi, all!

It seems I got Prolog stoped "thinking" right way (entering cycling),
 after trying satisfy each of 555 asserted "subgoals" (problem like tree
searching) /*all solutions before this point was found immediately*/.
I don't think my search problem unsolvable, but it actualy stoped.
It is hard to catch why.

I intrested, whether 555 some magic number, or Prolog has some other
limitions (particularly on asserted clauses)?
May be better enlarge stack limitations?

By the way, at this point Prolog stops eating memory, staying at about 3 000
KB (it is very suspect'ive).
/* 2 garbage collections was gained !!!*/

Could somebody help me?

Thanx.
/Nick/